byte colour_map [100][3] = {
{ 0, 1, 39 },
{ 0, 1, 43 },
{ 0, 1, 48 },
{ 0, 2, 54 },
{ 0, 2, 59 },
{ 0, 3, 65 },
{ 0, 4, 71 },
{ 0, 5, 77 },
{ 0, 6, 83 },
{ 0, 7, 89 },
{ 0, 8, 95 },
{ 0, 10, 100 },
{ 0, 12, 105 },
{ 0, 14, 110 },
{ 0, 17, 115 },
{ 0, 20, 118 },
{ 0, 23, 122 },
{ 0, 26, 124 },
{ 0, 30, 126 },
{ 0, 34, 127 },
{ 1, 39, 128 },
{ 1, 43, 127 },
{ 1, 48, 126 },
{ 2, 54, 124 },
{ 2, 59, 122 },
{ 3, 65, 118 },
{ 4, 71, 115 },
{ 5, 77, 110 },
{ 6, 83, 105 },
{ 7, 89, 100 },
{ 9, 95, 95 },
{ 10, 100, 89 },
{ 12, 106, 83 },
{ 15, 110, 77 },
{ 17, 115, 71 },
{ 20, 119, 65 },
{ 23, 122, 59 },
{ 27, 125, 54 },
{ 31, 127, 48 },
{ 36, 129, 43 },
{ 40, 129, 39 },
{ 46, 129, 34 },
{ 51, 129, 30 },
{ 58, 128, 26 },
{ 64, 126, 23 },
{ 71, 124, 20 },
{ 78, 121, 17 },
{ 86, 119, 14 },
{ 94, 116, 12 },
{ 102, 113, 10 },
{ 110, 110, 9 },
{ 119, 107, 7 },
{ 128, 105, 6 },
{ 137, 103, 5 },
{ 146, 102, 4 },
{ 156, 101, 4 },
{ 166, 101, 3 },
{ 175, 103, 3 },
{ 185, 105, 3 },
{ 196, 108, 3 },
{ 206, 113, 3 },
{ 217, 119, 3 },
{ 228, 126, 4 },
{ 240, 134, 4 },
{ 251, 144, 5 },
{ 255, 155, 7 },
{ 255, 167, 8 },
{ 255, 181, 10 },
{ 255, 195, 12 },
{ 255, 211, 14 },
{ 255, 228, 17 },
{ 255, 245, 21 },
{ 255, 255, 25 },
{ 255, 255, 29 },
{ 255, 255, 34 },
{ 255, 255, 40 },
{ 255, 255, 46 },
{ 255, 255, 53 },
{ 255, 255, 60 },
{ 255, 255, 69 },
{ 255, 255, 78 },
{ 255, 255, 87 },
{ 255, 255, 97 },
{ 255, 255, 108 },
{ 255, 255, 119 },
{ 255, 255, 131 },
{ 255, 255, 143 },
{ 255, 255, 155 },
{ 255, 255, 167 },
{ 255, 255, 178 },
{ 255, 255, 190 },
{ 255, 255, 201 },
{ 255, 255, 211 },
{ 255, 255, 221 },
{ 255, 255, 230 },
{ 255, 255, 237 },
{ 255, 255, 244 },
{ 255, 255, 249 },
{ 255, 255, 252 },
{ 255, 255, 255 }
};
